/**
 * Use this function to load Mailbiz Tracker
 *
 * @param object - m The window
 * @param object - b The document
 * @param string - t "script", the tag name of script elements
 * @param string - r The source of the Mailbiz Tracker script. Make sure you get the latest version.
 * @param string - a The Mailbiz Tracker namespace. The Mailbiz Tracker user should set this.
 * @param undefined - c The new script (to be created inside the function)
 * @param undefined - k The first script on the page (to be found inside the function)
 */
(function(m,b,t,r,a,c,k) {
	"m:nomunge, b:nomunge, t:nomunge, r:nomunge, a:nomunge, c:nomunge, k:nomunge";

	// Stop if the Mailbiz Tracker namespace i already exists
	if (!m[a]) { 
	
		// Initialise the 'GlobalMBZNamespace' array
		m['GlobalMBZNamespace'] = m['GlobalMBZNamespace'] || [];
	
		// Add the new Mailbiz Tracker namespace to the global array so tracker.js can find it
		m['GlobalMBZNamespace'].push(a);
	
		// Create the Mailbiz Tracker function
		m[a] = function() {
			(m[a].q = m[a].q || []).push(arguments);
		};
	
		// Initialise the asynchronous queue
		m[a].q = m[a].q || [];

		// Create a new script element
		c = b.createElement(t);
	
		// Get the first script on the page
		k = b.getElementsByTagName(t)[0];
	
		// The new script should load asynchronously
		c.async = 1;
	
		// Load Mailbiz Tracker
		c.src = r;
	
		// Insert the Mailbiz Tracker script before every other script so it executes as soon as possible
		k.parentNode.insertBefore(c,k);
	}
} (window, document, 'script', '//{{url}}/tracker.js', 'new_name_here'));
