import { TrackerConfiguration } from '@mailbiz/browser-tracker-core';

export interface JavaScriptTrackerConfiguration extends TrackerConfiguration {
  contexts: {
    webPage: boolean;
    performanceTiming: boolean;
    gaCookies: boolean;
    geolocation: boolean;
    optimizelyExperiments: boolean;
    optimizelyStates: boolean;
    optimizelyVariations: boolean;
    optimizelyVisitor: boolean;
    optimizelyAudiences: boolean;
    optimizelyDimensions: boolean;
    optimizelySummary: boolean;
    optimizelyXSummary: boolean;
    clientHints: boolean | { includeHighEntropy: boolean };
  };
}
